Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030643
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajorhave not tried2015-08-24 11:512018-02-22 18:18
ReportervmromanosView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revision436eb0fb4c04
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030643: Overly huge request size in AddPaymentDisplayLogicActionHandler

DescriptionLooking in net panel i see several request to that display action handler

and last one of those seem to have in its request json

context -> sales_order_invoice -> _allRows
and then array with all the values of all the rows.
+ then on top in _selected
copy of all data again for the selected rows.

and that is up to 20-30k already just for 4 lines i saw in grid.

So will get much bigger in case you have more lines in your view.
Steps To Reproducenew sales invoice + 1 line + complete

then just add payment
and in the popup it did show me apparently 4 other invoices.
Look at the net panel
Proposed SolutionThe request to that action handler is apparently only done from the OB.APRM.AddPayment.recalcDisplayLogicOrReadOnlyLogic function.

In the parameter windows, when the value of the grid is requested (i.e. when invoking the getContextInfo, which is done in the recalcDisplayLogicOrReadOnlyLogic function), the returned value contains the list of selected records plus the list of all grid records if the grid contents are completely cached. If you don't need any of those values, you could just get rid of them before including them in the request.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00377853.0PR18Q1 closedcollazoandy4 Overly huge request size in AddPaymentDisplayLogicActionHandler 
depends on backport 00377863.0PR17Q4.1 closedcollazoandy4 Overly huge request size in AddPaymentDisplayLogicActionHandler 

-  Notes
(0101642)
collazoandy4 (developer)
2018-01-09 23:07

Test Plan I
  Go to Sales Invoice window and create a new record for Alimentos y Supermercados, S.A bp, add any line and complete the order
    Clic on Add Payment button and check that overpayment field is not shown
      Deselect the invoice record and check that overpayment field is show
      Select the invoice record and Clic on Done button to fully paid the invoice and check the process ends successfully and the invoice is fully paid
Test Plan II
  Go to Payment In window and generate a credit for Alimentos y Supermercados, S.A bp with amount of 50 and check the process ends successfully
  Go to Sales Invoice window and create a new record:
    Business Partner: Alimentos y Supermercados, S.A
    Create a new record in Lines tab:
      Product: Limonada 0,5:
      Invoiced Quantity: 5
    Complete the invoice and don't use credit
    Clic on Add Payment Button:
      Payment Method: Cheque
      Actual Payment: 3.02
      Select the credit and set amount: 2 and check that overpayment field is not shown
      Update the credit payment amount amount to 3 and check that overpayment field is show
      Overpayment Action: Leave the credit to be used later
      Clic on Done button to fully paid the invoice and check the process ends successfully and the invoice is fully paid
(0101815)
hgbot (developer)
2018-01-22 10:26

Repository: erp/devel/pi
Changeset: 436eb0fb4c04367a4ff2502421f53db6381318be
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Jan 19 09:25:37 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/436eb0fb4c04367a4ff2502421f53db6381318be [^]

Fixes Issue 30643:Overly huge request size in AddPaymentDisplayLogicActionHandle

Before sending the context, the grids with the information about orders and invoices,
gl items and credit used are removed from it.
This data is not used for calculating the display or read only logic of the rest of the parameters
and sending the grid can have an impact in the performance of this process.

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/js/ob-aprm-addPayment.js
---
(0101816)
dmiguelez (developer)
2018-01-22 10:29

Code Review + Testing Ok
(0102080)
dmiguelez (developer)
2018-01-31 09:41

Reopened to create Backports.
(0102670)
hudsonbot (developer)
2018-02-22 18:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-08-24 11:51 vmromanos New Issue
2015-08-24 11:51 vmromanos Assigned To => Triage Finance
2015-08-24 11:51 vmromanos Modules => Core
2015-08-24 11:51 vmromanos Triggers an Emergency Pack => No
2015-08-24 11:52 vmromanos Tag Attached: Performance
2015-08-24 12:07 shuehner Issue Monitored: shuehner
2015-09-28 11:17 vmromanos Target Version 3.0PR15Q4 =>
2015-09-28 11:17 vmromanos Description Updated View Revisions
2018-01-09 12:13 shuehner Description Updated View Revisions
2018-01-09 16:17 dmiguelez Assigned To Triage Finance => collazoandy4
2018-01-09 17:59 collazoandy4 Status new => scheduled
2018-01-09 23:07 collazoandy4 Note Added: 0101642
2018-01-22 10:26 hgbot Checkin
2018-01-22 10:26 hgbot Note Added: 0101815
2018-01-22 10:26 hgbot Status scheduled => resolved
2018-01-22 10:26 hgbot Resolution open => fixed
2018-01-22 10:26 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/436eb0fb4c04367a4ff2502421f53db6381318be [^]
2018-01-22 10:29 dmiguelez Review Assigned To => dmiguelez
2018-01-22 10:29 dmiguelez Note Added: 0101816
2018-01-22 10:29 dmiguelez Status resolved => closed
2018-01-22 10:29 dmiguelez Fixed in Version => 3.0PR18Q2
2018-01-31 09:41 dmiguelez Note Added: 0102080
2018-01-31 09:41 dmiguelez Status closed => new
2018-01-31 09:41 dmiguelez Resolution fixed => open
2018-01-31 09:41 dmiguelez Fixed in Version 3.0PR18Q2 =>
2018-01-31 09:42 dmiguelez Status new => scheduled
2018-01-31 10:01 dmiguelez Status scheduled => resolved
2018-01-31 10:01 dmiguelez Resolution open => fixed
2018-01-31 10:01 dmiguelez Status resolved => closed
2018-01-31 10:01 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-22 18:18 hudsonbot Checkin
2018-02-22 18:18 hudsonbot Note Added: 0102670


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker